Model APIs
List Model APIs
Lists Model APIs based on the query filters. Returns only Model APIs visible to the requesting user.
GET
/
api
/
modelServing
/
v1
/
modelApis
cURL
curl --request GET \
--url https://mycluster.domino.tech/api/modelServing/v1/modelApis \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/modelServing/v1/modelApis"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/modelServing/v1/modelApis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"access": {
"accessTokens": [
{
"created": 123,
"createdBy": "<string>",
"id": "<string>",
"lastGenerated": 123,
"lastGeneratedBy": "<string>",
"name": "<string>"
}
],
"isPublic": true
},
"collaborators": [
{
"collaborator": "<string>",
"role": "<string>"
}
],
"description": "<string>",
"environmentId": "<string>",
"healthCheck": {
"failureThreshold": 123,
"initialDelaySeconds": 123,
"periodSeconds": 123,
"timeoutSeconds": 123
},
"id": "<string>",
"isArchived": true,
"isAsync": true,
"metadata": {
"created": 123,
"createdBy": "<string>",
"lastModified": 123
},
"name": "<string>",
"replicas": 123,
"routingMode": "<string>",
"strictNodeAntiAffinity": true,
"volumes": [
{
"mountPath": "<string>",
"name": "<string>",
"readOnly": true,
"volumeType": "<string>"
}
],
"activeVersion": {
"dataPlaneId": "<string>",
"id": "<string>",
"deployment": {
"isPending": true,
"status": "<string>"
},
"number": 123
},
"bundleId": "<string>",
"hardwareTierId": "<string>",
"overrideRequestTimeoutSecs": 123,
"resourceQuotaId": "<string>"
}
],
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
}
}Authorizations
DominoApiKeyBearerAuthentication
Query Parameters
The id of the environment to filter the Model APIs by.
The id of the project to filter the Model APIs by.
The name of the Model APIs. Can be a regular expression.
The name of the registered model that is the source of the Model API.
The version of the registered model that is the source of the Model API. Can only be present along with registeredModelName.
The number of result to retrieve. Defaults to 25.
The offset from the first element to start retrieving from.
Field to order results by. Format is the name of the field optionally followed by a space and either ASC or DESC. If not specified defaults to ASC.
Last modified on September 3, 2026
Was this page helpful?
⌘I
cURL
